(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     26746,        580]
NotebookOptionsPosition[     26314,        559]
NotebookOutlinePosition[     26699,        576]
CellTagsIndexPosition[     26656,        573]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\:9818\:57df\:3000\:5186", "Section",
 CellChangeTimes->{{3.618388036142423*^9, 3.6183880955360603`*^9}, {
  3.6183881619613047`*^9, 3.6183882287772255`*^9}, {3.6399984449304876`*^9, 
  3.6399985113038883`*^9}, {3.648596659162262*^9, 3.648596817654932*^9}, {
  3.648602736810523*^9, 3.6486027928771524`*^9}, {3.6486156844321685`*^9, 
  3.6486157077614517`*^9}, {3.648629154513831*^9, 3.6486291616548367`*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "                  ", 
   RowBox[{
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{"Plot", "[", 
        RowBox[{"15", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "5"}], ",", "10"}], "}"}], "\[IndentingNewLine]", ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
         RowBox[{"AxesStyle", "\[Rule]", "Blue"}], ",", "  ", 
         RowBox[{"GridLines", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Range", "[", 
             RowBox[{
              RowBox[{"-", "10"}], ",", "10", ",", "1"}], "]"}], ",", 
            RowBox[{"Range", "[", 
             RowBox[{
              RowBox[{"-", "20"}], ",", "20", ",", "1"}], "]"}]}], "}"}]}], 
         ",", 
         RowBox[{"GridLinesStyle", "\[Rule]", "Dotted"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", "4"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", "8"}], "}"}]}], "}"}]}], "     ", ",", 
         "\[IndentingNewLine]", "     ", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"a", "\[Equal]", "1"}], ",", 
              RowBox[{"{", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                  "\"\<(x-1\!\(\*SuperscriptBox[\()\), \
\(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\), \(2\)]\)<4\>\"", ",", "Large"}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "}"}]}], "]"}], 
            " ", ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"b", "\[Equal]", "1"}], ",", 
              RowBox[{"{", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                  "\"\<(x-1\!\(\*SuperscriptBox[\()\), \
\(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\), \(2\)]\)>4\>\"", ",", "Large"}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", 
                   RowBox[{"-", "1"}]}], "}"}]}], "]"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"c", "\[Equal]", "1"}], ",", 
              RowBox[{"{", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                  "\"\<(x-1\!\(\*SuperscriptBox[\()\), \
\(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\), \(2\)]\)=4\>\"", ",", "Large"}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "4.5"}], "}"}]}], "]"}], "}"}]}], "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<P\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{"p", "+", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "0.5"}], ",", "0"}], "}"}]}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Map", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"ToString", "[", "#", "]"}], "&"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"\"\<(x=\>\"", ",", 
                    RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"p", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "*", "10"}], "]"}], "*", 
                    "0.1"}], ",", "\"\<\:ff0c y=\>\"", ",", 
                    RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"p", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "*", "10"}], "]"}], "*", 
                    "0.1"}], ",", "\"\<)\>\""}], "}"}]}], "]"}], "//", 
                 "StringJoin"}], ",", "Large"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "7"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<(x-1\!\(\*SuperscriptBox[\()\), \
\(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\"", ",", "Large"}], "]"}],
               ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "6.1"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Map", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"ToString", "[", "#", "]"}], "&"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"\"\<=\>\"", ",", 
                    RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"p", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", "1"}], ")"}], "^", 
                    "2"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"p", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", "2"}], ")"}], "^", 
                    "2"}]}], ")"}], "*", "10"}], "]"}], "*", "0.1"}]}], 
                    "}"}]}], "]"}], "//", "StringJoin"}], ",", "Large"}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "6"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}]}], ",", 
         RowBox[{"LabelStyle", "\[Rule]", 
          RowBox[{"(", 
           RowBox[{"FontSize", "\[Rule]", "17"}], ")"}]}], ",", 
         RowBox[{"Ticks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{"0", ",", "2"}], "}"}], "}"}]}]}], "]"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"RegionPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"x", "-", "1"}], ")"}], "2"], "+", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"y", "-", "2"}], ")"}], "2"]}], "<", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "7"}], ",", "15"}], "}"}], ",", 
         RowBox[{"BoundaryStyle", "\[Rule]", "Dashed"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Opacity", "[", 
             RowBox[{"0.5", "*", "a"}], "]"}], ",", "Yellow"}], "}"}]}]}], 
        "]"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"RegionPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"x", "-", "1"}], ")"}], "2"], "+", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"y", "-", "2"}], ")"}], "2"]}], ">", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "7"}], ",", "15"}], "}"}], ",", 
         RowBox[{"BoundaryStyle", "\[Rule]", "Dashed"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Opacity", "[", 
             RowBox[{"0.5", "*", "b"}], "]"}], ",", "Yellow"}], "}"}]}]}], 
        "]"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Opacity", "[", "c", "]"}], ",", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", "2"}], "}"}], ",", "2"}], "]"}]}], "}"}], "]"}],
       ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PointSize", "[", "Large", "]"}], ",", 
         RowBox[{"Point", "[", "p", "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2"}], "}"}], "]"}]}], "}"}], "]"}]}], "]"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "a", ",", "0", ",", 
        "\"\<(x-1\!\(\*SuperscriptBox[\()\), \
\(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\), \(2\)]\)<4\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "b", ",", "0", ",", 
        "\"\<(x-1\!\(\*SuperscriptBox[\()\), \
\(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\), \(2\)]\)>4\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "c", ",", "0", ",", 
        "\"\<(x-1\!\(\*SuperscriptBox[\()\), \
\(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\), \(2\)]\)=4\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"p", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2"}], "}"}]}], "}"}], ",", "Locator"}], "}"}], 
    ",", 
    RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
    RowBox[{"FrameMargins", "\[Rule]", "0"}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.6150823582915325`*^9, 3.615082640256756*^9}, {
   3.6150827470677032`*^9, 3.6150827776898265`*^9}, {3.6150828189370737`*^9, 
   3.615082883439972*^9}, {3.6155024576122265`*^9, 3.6155024945842266`*^9}, {
   3.6155025269386263`*^9, 3.6155025655174265`*^9}, {3.6156014906840677`*^9, 
   3.6156015053480673`*^9}, {3.6156015581228676`*^9, 
   3.6156015661724677`*^9}, {3.615601606451668*^9, 3.615601724481268*^9}, {
   3.6156018096884675`*^9, 3.6156019221332674`*^9}, {3.6156019866548676`*^9, 
   3.6156020218640676`*^9}, {3.6156021017496676`*^9, 
   3.6156021258984675`*^9}, {3.6156022794464674`*^9, 
   3.6156022990088673`*^9}, {3.615602342922868*^9, 3.6156023452004676`*^9}, {
   3.6167237111413484`*^9, 3.6167237117965484`*^9}, {3.6167237620441484`*^9, 
   3.616723826409748*^9}, {3.616723932286948*^9, 3.6167239470289483`*^9}, 
   3.6167239828153486`*^9, {3.6167241336973486`*^9, 3.6167241344461484`*^9}, {
   3.6167270426881657`*^9, 3.616727069248166*^9}, {3.616727102156166*^9, 
   3.6167271046601896`*^9}, {3.616727156741397*^9, 3.6167272416648884`*^9}, {
   3.6167273342151427`*^9, 3.6167274018809085`*^9}, {3.6167274330930295`*^9, 
   3.6167274524309635`*^9}, {3.6167274876324825`*^9, 
   3.6167274921869383`*^9}, {3.6167275625049696`*^9, 3.6167275998587046`*^9}, 
   3.616727635330251*^9, {3.6167276730200195`*^9, 3.6167276759143095`*^9}, {
   3.6167277294976673`*^9, 3.6167277416918864`*^9}, {3.616727828694586*^9, 
   3.616727895895305*^9}, {3.616728074972211*^9, 3.616728196293342*^9}, 
   3.61672832450196*^9, 3.6167285923679595`*^9, {3.6167288484579597`*^9, 
   3.61672885509896*^9}, {3.61672890260096*^9, 3.6167289238019595`*^9}, 
   3.6167289670029593`*^9, {3.6167290251309595`*^9, 3.6167290368859596`*^9}, {
   3.6167290880909595`*^9, 3.6167291391939597`*^9}, {3.616729218515568*^9, 
   3.6167292325969763`*^9}, {3.616729286690385*^9, 3.616729302765992*^9}, {
   3.616793162215229*^9, 3.616793184023796*^9}, {3.6167932233166833`*^9, 
   3.6167934183240447`*^9}, {3.6167934785394945`*^9, 3.616793525007909*^9}, {
   3.6167935898265095`*^9, 3.616793630303026*^9}, {3.6167936625211897`*^9, 
   3.6167936653762455`*^9}, {3.61679369885685*^9, 3.6167937117592077`*^9}, {
   3.616793753040512*^9, 3.6167937798593187`*^9}, {3.616805400771708*^9, 
   3.616805490383451*^9}, {3.616805545092465*^9, 3.616805625693297*^9}, {
   3.616805720943844*^9, 3.6168057664007874`*^9}, {3.616805834227413*^9, 
   3.616805851043674*^9}, {3.616805899932507*^9, 3.616805927934865*^9}, {
   3.6168059801819444`*^9, 3.616805988543973*^9}, {3.616806022943737*^9, 
   3.6168060379205055`*^9}, {3.6168061961282177`*^9, 
   3.6168062774260554`*^9}, {3.6168064097046795`*^9, 
   3.6168065311142297`*^9}, {3.6168065909771852`*^9, 
   3.6168066199023657`*^9}, {3.616806862443285*^9, 3.616806867966216*^9}, {
   3.6168088981390224`*^9, 3.616809048039195*^9}, {3.6168130515926995`*^9, 
   3.616813083420168*^9}, 3.639992997325616*^9, {3.639993039204629*^9, 
   3.6399931012911634`*^9}, {3.639993139888983*^9, 3.639993188807707*^9}, {
   3.639993221096314*^9, 3.639993230695736*^9}, {3.639993385843521*^9, 
   3.639993593394354*^9}, {3.639993643166649*^9, 3.6399936800913486`*^9}, {
   3.6399937193596163`*^9, 3.639993760256976*^9}, {3.639993813768772*^9, 
   3.639993935875455*^9}, {3.6399939706467223`*^9, 3.639994079567585*^9}, {
   3.6399941876238685`*^9, 3.6399941900815067`*^9}, {3.6399943198723288`*^9, 
   3.6399943864868975`*^9}, {3.639994424700452*^9, 3.639994521970521*^9}, {
   3.639994621690235*^9, 3.63999465056054*^9}, {3.6399947427752275`*^9, 
   3.639994826806446*^9}, {3.6399948743152275`*^9, 3.6399951180012326`*^9}, {
   3.6399953291985197`*^9, 3.63999558015739*^9}, {3.6399956111371217`*^9, 
   3.639995622953026*^9}, {3.6399956624214196`*^9, 3.639995680862767*^9}, {
   3.6399960893679724`*^9, 3.6399961726797104`*^9}, {3.639996289046546*^9, 
   3.639996296674649*^9}, {3.6399964654845743`*^9, 3.639996500780187*^9}, {
   3.639996568701624*^9, 3.639996575482156*^9}, 3.6399966359065795`*^9, {
   3.639996670250555*^9, 3.6399966713562903`*^9}, {3.6399967816820917`*^9, 
   3.639996839720922*^9}, {3.6399968751506186`*^9, 3.639996986969426*^9}, {
   3.639997039046255*^9, 3.6399971033823*^9}, 3.6399971419791107`*^9, {
   3.639997205571653*^9, 3.639997258811266*^9}, {3.6399977891127815`*^9, 
   3.639997819551151*^9}, {3.6399979739874525`*^9, 3.639998053433598*^9}, {
   3.6399981215891895`*^9, 3.63999816488115*^9}, {3.639998204512661*^9, 
   3.6399982128092117`*^9}, {3.6399982472802777`*^9, 
   3.6399982743013496`*^9}, {3.6399983069602003`*^9, 
   3.6399983329685993`*^9}, {3.648553536535279*^9, 3.648553584287101*^9}, {
   3.648553617210636*^9, 3.648553640821013*^9}, {3.648553784771283*^9, 
   3.648553882884034*^9}, {3.648553949717105*^9, 3.6485539576862535`*^9}, {
   3.648553999282092*^9, 3.648554013579684*^9}, {3.6485540562739463`*^9, 
   3.648554061680475*^9}, {3.648554292769108*^9, 3.64855436854282*^9}, {
   3.6485543986224456`*^9, 3.648554516401961*^9}, {3.6485545941379585`*^9, 
   3.6485546397401457`*^9}, {3.6485546966092205`*^9, 
   3.6485546975936427`*^9}, {3.6485549568097277`*^9, 
   3.6485550758783464`*^9}, {3.648555114873805*^9, 3.648555115170697*^9}, {
   3.648555192480989*^9, 3.6485552948030615`*^9}, {3.6485554826736393`*^9, 
   3.648555530875321*^9}, {3.648555564189485*^9, 3.6485556983430567`*^9}, {
   3.648555821907419*^9, 3.6485559596458397`*^9}, {3.6485559940060325`*^9, 
   3.648556044884739*^9}, {3.648556170889786*^9, 3.6485561740149508`*^9}, {
   3.6485562415346127`*^9, 3.6485564080865498`*^9}, {3.6485564662512465`*^9, 
   3.6485565081901655`*^9}, {3.6485565386344185`*^9, 
   3.6485565761263714`*^9}, {3.6485566284041705`*^9, 
   3.6485566874014363`*^9}, {3.648556797291562*^9, 3.6485568204299693`*^9}, {
   3.648557435228134*^9, 3.648557500135324*^9}, {3.6485575793720655`*^9, 
   3.6485575831936016`*^9}, {3.648557613881024*^9, 3.6485576552235394`*^9}, {
   3.6485577087831926`*^9, 3.648557711284849*^9}, {3.6485577728788505`*^9, 
   3.6485577802217293`*^9}, 3.648594035815587*^9, {3.648594074236873*^9, 
   3.6485941585074377`*^9}, {3.6485943284504538`*^9, 3.648594340249826*^9}, {
   3.648594381752525*^9, 3.648594503995733*^9}, {3.648595469423064*^9, 
   3.648595520099129*^9}, {3.6485961619380584`*^9, 3.6485961781447163`*^9}, {
   3.6485962353298264`*^9, 3.648596290653129*^9}, {3.648596357944104*^9, 
   3.648596505729139*^9}, {3.6485965742569294`*^9, 3.6485965933516374`*^9}, {
   3.6485988659981914`*^9, 3.6485989001733255`*^9}, {3.648602102454133*^9, 
   3.6486022538077793`*^9}, {3.6486023053929033`*^9, 3.648602312549505*^9}, {
   3.648602346986974*^9, 3.6486023493933525`*^9}, {3.6486023828713455`*^9, 
   3.648602409389655*^9}, {3.6486024436676793`*^9, 3.648602464048127*^9}, {
   3.64860250164205*^9, 3.6486025819381933`*^9}, {3.648602638920554*^9, 
   3.6486026414206686`*^9}, {3.6486044441287527`*^9, 
   3.6486045374355717`*^9}, {3.6486123070951853`*^9, 
   3.6486123578063555`*^9}, {3.6486123948082237`*^9, 
   3.6486124102027526`*^9}, {3.648612523359036*^9, 3.648612607070562*^9}, {
   3.648613195780369*^9, 3.648613244301404*^9}, {3.6486137904880576`*^9, 
   3.6486138568193235`*^9}, 3.6486140110870085`*^9, {3.648614045194346*^9, 
   3.6486140561792707`*^9}, {3.6486143085954695`*^9, 
   3.6486143110174456`*^9}, {3.64861434118402*^9, 3.6486143733883843`*^9}, {
   3.6486144357725277`*^9, 3.648614469942732*^9}, {3.648614508963436*^9, 
   3.6486145371679535`*^9}, {3.648614638439886*^9, 3.648614653675027*^9}, 
   3.6486146881740837`*^9, 3.6486147221168885`*^9, {3.648614927901022*^9, 
   3.6486149284948*^9}, {3.648614982276836*^9, 3.648615007321283*^9}, {
   3.6486151187264676`*^9, 3.6486151191483574`*^9}, {3.6486154608693447`*^9, 
   3.648615568272403*^9}, 3.6486156625556383`*^9, {3.648616159971795*^9, 
   3.6486161857074604`*^9}, {3.6486166701203585`*^9, 
   3.6486166744174547`*^9}, {3.6486169615292253`*^9, 3.648616974492442*^9}, {
   3.648618792459278*^9, 3.648618820490224*^9}, 3.6486189523129272`*^9, {
   3.6486190780379105`*^9, 3.6486191057941337`*^9}, {3.6486292362682304`*^9, 
   3.648629284603307*^9}, {3.6486293241455927`*^9, 3.6486293309584255`*^9}, {
   3.6486293684425745`*^9, 3.648629725850093*^9}, 3.648629756498122*^9, {
   3.6486298978303967`*^9, 3.6486299003617697`*^9}, {3.6486300594842424`*^9, 
   3.6486300750631566`*^9}, {3.6486301117272854`*^9, 3.64863011582124*^9}, {
   3.64863015822366*^9, 3.648630173833811*^9}, {3.648630277176273*^9, 
   3.648630277801304*^9}, {3.6486303349875855`*^9, 3.6486303776618543`*^9}, {
   3.6486304677960324`*^9, 3.6486307055997562`*^9}, {3.648630855702012*^9, 
   3.6486308766066165`*^9}, {3.6486309608621826`*^9, 3.6486309642842197`*^9}, 
   3.648631240703538*^9, {3.648631285395912*^9, 3.6486313158848677`*^9}, {
   3.6486313484138207`*^9, 3.648631388356823*^9}, {3.648631428078931*^9, 
   3.648631575652443*^9}, {3.6486316095698957`*^9, 3.6486316356730523`*^9}, 
   3.6486316930165253`*^9, {3.6486317545740166`*^9, 3.6486317804262857`*^9}, {
   3.648631830134773*^9, 3.6486318313066998`*^9}, {3.6486318619882774`*^9, 
   3.6486319077609477`*^9}, {3.6486319465269637`*^9, 3.6486319512459483`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`b$$ = 
    0, $CellContext`c$$ = 0, $CellContext`p$$ = {2.285, 1.12}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", 
    Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 0, 
       "(x-1\!\(\*SuperscriptBox[\()\), \(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\
\), \(2\)]\)<4"}, {0, 1}}, {{
       Hold[$CellContext`b$$], 0, 
       "(x-1\!\(\*SuperscriptBox[\()\), \(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\
\), \(2\)]\)>4"}, {0, 1}}, {{
       Hold[$CellContext`c$$], 0, 
       "(x-1\!\(\*SuperscriptBox[\()\), \(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\
\), \(2\)]\)=4"}, {0, 1}}, {{
       Hold[$CellContext`p$$], {1, 2}}, Automatic}}, Typeset`size$$ = {
    312., {255., 263.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$163025$$ = 
    False, $CellContext`b$163026$$ = False, $CellContext`c$163027$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0, $CellContext`b$$ = 
        0, $CellContext`c$$ = 0, $CellContext`p$$ = {1, 2}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$163025$$, False], 
        Hold[$CellContext`b$$, $CellContext`b$163026$$, False], 
        Hold[$CellContext`c$$, $CellContext`c$163027$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[
         Plot[
         15, {$CellContext`x, -5, 10}, AspectRatio -> Automatic, Axes -> True,
           AxesStyle -> Blue, GridLines -> {
            Range[-10, 10, 1], 
            Range[-20, 20, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-2, 4}, {-2, 8}}, Epilog -> {
            If[$CellContext`a$$ == 1, {
              Text[
               Style[
               "(x-1\!\(\*SuperscriptBox[\()\), \
\(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\), \(2\)]\)<4", Large], {1, 3}]}], 
            If[$CellContext`b$$ == 1, {
              Text[
               Style[
               "(x-1\!\(\*SuperscriptBox[\()\), \
\(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\), \(2\)]\)>4", Large], {1, -1}]}], 
            If[$CellContext`c$$ == 1, {
              Text[
               Style[
               "(x-1\!\(\*SuperscriptBox[\()\), \
\(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\), \(2\)]\)=4", Large], {1, 4.5}]}], 
            Text[
             Style["P", Large], $CellContext`p$$ + {-0.5, 0}], 
            Text[
             Style[
              StringJoin[
               Map[
               ToString[#]& , {
                "(x=", Round[Part[$CellContext`p$$, 1] 10] 0.1, "\:ff0c y=", 
                 Round[Part[$CellContext`p$$, 2] 10] 0.1, ")"}]], Large], {1, 
             7}], 
            Text[
             Style[
             "(x-1\!\(\*SuperscriptBox[\()\), \
\(2\)]\)+(y-2\!\(\*SuperscriptBox[\()\), \(2\)]\)", Large], {0, 6.1}], 
            Text[
             Style[
              StringJoin[
               Map[
               ToString[#]& , {
                "=", Round[((Part[$CellContext`p$$, 1] - 1)^2 + (
                    Part[$CellContext`p$$, 2] - 2)^2) 10] 0.1}]], Large], {2, 
             6}]}, LabelStyle -> (FontSize -> 17), Ticks -> {{0, 2}}]], 
        Graphics[
         RegionPlot[{($CellContext`x - 1)^2 + ($CellContext`y - 2)^2 < 
           4}, {$CellContext`x, -10, 10}, {$CellContext`y, -7, 15}, 
          BoundaryStyle -> Dashed, PlotStyle -> {
            Opacity[0.5 $CellContext`a$$], Yellow}]], 
        Graphics[
         RegionPlot[{($CellContext`x - 1)^2 + ($CellContext`y - 2)^2 > 
           4}, {$CellContext`x, -10, 10}, {$CellContext`y, -7, 15}, 
          BoundaryStyle -> Dashed, PlotStyle -> {
            Opacity[0.5 $CellContext`b$$], Yellow}]], 
        Graphics[{
          Opacity[$CellContext`c$$], 
          Circle[{1, 2}, 2]}], 
        Graphics[{
          PointSize[Large], 
          Point[$CellContext`p$$], 
          Point[{1, 2}]}]], 
      "Specifications" :> {{{$CellContext`a$$, 0, 
          "(x-1\!\(\*SuperscriptBox[\()\), \(2\)]\)+(y-2\!\(\*SuperscriptBox[\
\()\), \(2\)]\)<4"}, {0, 
         1}}, {{$CellContext`b$$, 0, 
          "(x-1\!\(\*SuperscriptBox[\()\), \(2\)]\)+(y-2\!\(\*SuperscriptBox[\
\()\), \(2\)]\)>4"}, {0, 
         1}}, {{$CellContext`c$$, 0, 
          "(x-1\!\(\*SuperscriptBox[\()\), \(2\)]\)+(y-2\!\(\*SuperscriptBox[\
\()\), \(2\)]\)=4"}, {0, 1}}, {{$CellContext`p$$, {1, 2}}, Automatic, 
         ControlType -> Locator}}, 
      "Options" :> {ControlPlacement -> Left, FrameMargins -> 0}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{481., {283., 290.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.648631693766565*^9, {3.6486317558156786`*^9, 3.6486317814419622`*^9}, 
   3.648631834822502*^9, {3.6486318659728518`*^9, 3.6486319107884455`*^9}, 
   3.6486319521437984`*^9}]
}, {2}]]
}, Open  ]]
},
WindowSize->{1350, 669},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.2 Inherited,
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (2015\:5e743\:670824\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 451, 6, 80, "Section"],
Cell[CellGroupData[{
Cell[1055, 32, 19650, 399, 659, "Input"],
Cell[20708, 433, 5581, 122, 593, "Output"]
}, {2}]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
